Public APIAPI ReferenceApps
Get an app by slug.
Beta API
The /v1 API contract may change, including breaking changes without compatibility aliases.
GET
/v1/teams/{teamId}/apps/by-slugA user with access to the team retrieves an app's details by its slug. Both nonexistent apps and inaccessible apps return 404.
Authorization
bearerAuth AuthorizationBearer <token>
Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.
In: header
Path Parameters
teamId*string
Query Parameters
slug*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/teams/string/apps/by-slug?slug=string"{ "app": { "createdAt": "string", "domainCount": 0, "domains": [ "string" ], "hostname": "string", "id": "string", "latestDeployment": { "createdAt": "string", "git": true, "id": "string", "shortId": "string", "status": "string", "target": "string" }, "productionDeploymentId": "string", "productionPreview": { "capturedAt": "string", "image": { "token": "string", "version": "string" }, "status": "string" }, "slug": "string", "suspendedAt": "string", "suspensionReason": "string", "team_id": "string" }}